{% extends 'admin/layouts/base.html.twig' %}

{% block body %}
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="profile-element">
                            &lt;TrafficBot logo&gt;
                        </div>
                        <div class="logo-element">
                            TB
                        </div>
                    </li>
                    <li class="active">
                        <a href="#">
                            <i class="fa fa-th-large"></i>
                            <span class="nav-label">Projects</span>
                            <span class="fa arrow"></span>
                        </a>
                        <ul class="nav nav-second-level">
                            <li class="active">
                                <a href="{{ path('projects_list') }}">List</a>
                            </li>
                            <li>
                                <a href="{{ path('project_add') }}">New Project</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#">
                            <i class="fa fa-diamond"></i>
                            <span class="nav-label">Layouts</span>
                        </a>
                    </li>
                </ul>

            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg dashbard-1">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#">
                            <i class="fa fa-bars"></i>
                        </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                            <span class="m-r-sm text-muted welcome-message">Welcome to TrafficBot Admin.</span>
                        </li>

                        <li>
                            <a href="{{ path("logout") }}">
                                <i class="fa fa-sign-out"></i> Log out
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>

            {% block page_heading %}
                <div class="row wrapper border-bottom white-bg page-heading">
                    <div class="col-lg-10">
                        {% if title is defined %}
                            <h2>{{ title }}</h2>
                        {% endif %}
                        {% if breadcrumb is defined %}
                            <ol class="breadcrumb">
                                {% for item in breadcrumb %}
                                    <li>
                                        {% if loop.last %}
                                            <strong>{{ item.title }}</strong>
                                        {% else %}
                                            <a href="{{ item.url }}">{{ item.title }}</a>
                                        {% endif %}
                                    </li>
                                {% else %}
                                    <li></li>
                                {% endfor %}
                            </ol>
                        {% endif %}
                    </div>
                </div>
            {% endblock %}

            <div class="row">
                <div class="col-lg-12">
                    <div class="wrapper wrapper-content">
                        {% block content %}{% endblock %}
                    </div>
                    <div class="footer">
                        <div class="pull-right">
                            {% block footer_right %}{% endblock %}
                        </div>
                        <div>
                            {% block footer_left %}
                                <strong>Copyright</strong> TrafficBot
                            {% endblock %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}